Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
(SOLVED) Problem with media-libs/glu-9 and media-libs/mesa-9
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Qcumber-some
n00b
n00b


Joined: 10 Jun 2007
Posts: 45

PostPosted: Tue Nov 27, 2012 9:42 pm    Post subject: (SOLVED) Problem with media-libs/glu-9 and media-libs/mesa-9 Reply with quote

Hi,

A week ago I came upon the mesa-9 split-out of glu-9. Everything understood, glu-9 came as dependency without me needing to do that manually.
But since then I'm trying to compile a few programs which don't find glu. Error is mostly ld can not find -lGLU, others /usr/lib64/libGLU.so which is there. The /usr/include/GL/glu.h is also there.

Packages which are making problems:
media-libs/quesoglc-0.7.2
media-libs/glew-1.6.0-r1
games-strategy/warzone2100-2.3.9
games-action/openastromenace-1.2.0
app-office/libreoffice-3.6.3.2
kde-base/kdeartwork-kscreensaver-4.9.3
kde-base/kinfocenter-4.9.3

Other packages were able to recover after revdep-rebuild found them:
app-emulation/wine-1.4.1
x11-misc/xscreensaver-5.20

I am on a very-mostly-stable amd64 system.
I can not find a bug with this problem (only about packages needing virtual/glu as dependency, which is not my problem).

What do I need to do here? If you need any more information (including build logs), I'll gladly provide. Many thanks!


Last edited by Qcumber-some on Wed Nov 28, 2012 7:21 pm; edited 1 time in total
Back to top
View user's profile Send private message
eccerr0r
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 4058
Location: USA

PostPosted: Tue Nov 27, 2012 10:32 pm    Post subject: Reply with quote

There's a bug reported on this:

https://bugs.gentoo.org/show_bug.cgi?id=432516

I'm unsure what the devs are planning to do with this...
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed to be advocating?
Back to top
View user's profile Send private message
Qcumber-some
n00b
n00b


Joined: 10 Jun 2007
Posts: 45

PostPosted: Tue Nov 27, 2012 10:37 pm    Post subject: Reply with quote

As far as I understood, this is the tracker bug for all other bugs with the message "package X needs dependency virtual/glu".

This is not my problem, because I have virtual/glu and mesa-libs/glu installed, so the (maybe missing) ebuild dependency would be fulfilled anyway.
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5652

PostPosted: Wed Nov 28, 2012 5:05 am    Post subject: Reply with quote

Well, without build logs it can be just about anything.
Back to top
View user's profile Send private message
Qcumber-some
n00b
n00b


Joined: 10 Jun 2007
Posts: 45

PostPosted: Wed Nov 28, 2012 4:04 pm    Post subject: Reply with quote

As I said, I will gladly provide information. I just wanted to prevent cluttering the forum with irrelevant data...

Let's take kde-base/kinfocenter as an example.

build.log:
Code:
 * Package:    kde-base/kinfocenter-4.9.3
 * Repository: gentoo
 * Maintainer: kde@gentoo.org
 * USE:        amd64 consolekit elibc_glibc handbook kernel_linux multilib opengl policykit userland_GNU
 * FEATURES:   sandbox
>>> Unpacking source...
 * Unpacking parts of kde-workspace-4.9.3.tar.xz to /var/tmp/portage/kde-base/kinfocenter-4.9.3/work ...
tar extract command failed at least partially - continuing anyway
 [ ok ]
>>> Source unpacked in /var/tmp/portage/kde-base/kinfocenter-4.9.3/work
>>> Preparing source in /var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build"
cmake --no-warn-unused-cli -C /var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -D
KDE4_BUILD_TESTS=OFF -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONF_INSTALL_DIR=/etc -DWITH_RAW1394=OFF -DWITH_OpenGL=ON -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build/gentoo_rules.cmake  /var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3
Not searching for unused variables given on the command line.
loading initial cache file /var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build/gentoo_common_config.cmake
-- The C compiler identification is GNU 4.5.4
-- The CXX compiler identification is GNU 4.5.4
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.8.2 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found.
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE 
-- Found OpenSSL: /usr/lib64/libssl.so
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/bin/automoc4
-- Found Perl: /usr/bin/perl (found version "5.12.4")
-- Found Phonon: /usr/include
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.9 include dir: /usr/include
-- Found KDE 4.9 library dir: /usr/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found Strigi: /usr/lib64/libstreams.so
-- Found ZLIB: /usr/lib64/libz.so (found version "1.2.7")
-- Found DBusMenuQt: /usr/lib64/libdbusmenu-qt.so  (found version "0.9.2", required is "0.6.0")
-- Found QImageBlitz: /usr/include/qimageblitz
-- Found OpenGL: /usr/lib64/libGL.so 
-- Found GLIB2: /usr/lib64/libglib-2.0.so
-- Found Fontconfig: /usr/lib64/libfontconfig.so
-- Could NOT find Googlegadgets  (missing:  GOOGLEGADGETS_LIBRARIES GOOGLEGADGETS_INCLUDE_DIRS)
-- Found PythonInterp: /usr/bin/python (found version "3.2.3")
-- Found Python executable: /usr/bin/python
-- Found Python version: 3.2.3
-- Found Python library: /usr/lib64/libpython3.2.so
-- Could NOT find Soprano  (missing:  SOPRANO_INCLUDE_DIR SOPRANO_LIBRARIES)  (Required is at least version "2.5.63")
-- Could NOT find SharedDesktopOntologies  (missing:  SHAREDDESKTOPONTOLOGIES_ROOT_DIR)
-- Could NOT find Nepomuk  (missing:  NEPOMUK_LIBRARIES NEPOMUK_INCLUDE_DIR Soprano_FOUND SOPRANO_PLUGIN_RAPTORPARSER_FOUND SOPRANO_PLUGIN_REDLANDBACKEND_FOUND SHAREDDESKTOPONTOLOGIES_FOUND)
-- Boost version: 1.49.0
-- Could NOT find Akonadi  (missing:  Akonadi_CONFIG)
-- Found KdepimLibs: /usr/lib64/cmake/KdepimLibs/KdepimLibsConfig.cmake
-- Performing Test PAM_MESSAGE_CONST
-- Performing Test PAM_MESSAGE_CONST - Success
-- Found PAM: /usr/lib64/libpam.so;/usr/lib64/libdl.so
-- Looking for getspnam
-- Looking for getspnam - found
-- Looking for crypt in crypt
-- Looking for crypt in crypt - found
-- Looking for include file crypt.h
-- Looking for include file crypt.h - found
-- Looking for XkbLockModifiers in X11
-- Looking for XkbLockModifiers in X11 - found
-- Looking for getpassphrase
-- Looking for getpassphrase - not found
-- Looking for vsyslog
-- Looking for vsyslog - found
-- Looking for statvfs
-- Looking for statvfs - found
-- Looking for include file limits.h
-- Looking for include file limits.h - found
-- Looking for include file sys/time.h
-- Looking for include file sys/time.h - found
-- Looking for include file stdint.h
-- Looking for include file stdint.h - found
-- Looking for include files sys/stat.h, sys/vfs.h
-- Looking for include files sys/stat.h, sys/vfs.h - found
-- Looking for include files sys/stat.h, sys/statvfs.h
-- Looking for include files sys/stat.h, sys/statvfs.h - found
-- Looking for include file sys/param.h
-- Looking for include file sys/param.h - found
-- Looking for include files sys/param.h, sys/mount.h
-- Looking for include files sys/param.h, sys/mount.h - found
-- Looking for include files sys/types.h, sys/statfs.h
-- Looking for include files sys/types.h, sys/statfs.h - found
-- Looking for include file unistd.h
-- Looking for include file unistd.h - found
-- Looking for include file malloc.h
-- Looking for include file malloc.h - found
-- Looking for statfs
-- Looking for statfs - found
-- Looking for sys/types.h
-- Looking for sys/types.h - found
-- Looking for stddef.h
-- Looking for stddef.h - found
-- Check size of struct ucred
-- Check size of struct ucred - failed
-- Looking for getpeereid
-- Looking for getpeereid - not found
-- Looking for setpriority
-- Looking for setpriority - found
-- Looking for XRRGetScreenSizeRange
-- Looking for XRRGetScreenSizeRange - found
-- Looking for XRRGetScreenResourcesCurrent
-- Looking for XRRGetScreenResourcesCurrent - found
-- Looking for include file devinfo.h
-- Looking for include file devinfo.h - not found.
-- Looking for include file sys/sockio.h
-- Looking for include file sys/sockio.h - not found.
-- Looking for getnameinfo
-- Looking for getnameinfo - not found.
-- Performing Test HAVE_STRUCT_SOCKADDR_SA_LEN
-- Performing Test HAVE_STRUCT_SOCKADDR_SA_LEN - Failed
-- Looking for getifaddrs
-- Looking for getifaddrs - found
-- Found PCIUTILS: /usr/lib64/libpci.so;/usr/lib64/libresolv.so
-- Enabling PCI module based on pciutils library

-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
-----------------------------------------------------------------------------
   * libkdeclarative - KDE Declarative (QML) support from kdelibs
   * glib2 - Low-level core library for data structure handling, portability wrappers, etc.
   * Python - Python scripting language
   * Boost - Boost C++ Libraries
   * KDE PIM Libs - KDE Libraries for PIM
   * libpam - PAM Libraries
   * OpenGL - API for developing portable, interactive 2D and 3D graphics applications
   * PCIUTILS - PciUtils is a library for direct access to PCI slots

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * GoogleGadgets (0.11.0 or higher)  <http://code.google.com/p/google-gadgets-for-linux/>
     Google Gadgets library
     Needed to build plasma scriptengine for google gadgets
   * Nepomuk  <kdelibs>
     Nepomuk Libraries
     Required to build Nepomuk features.
   * Akonadi  <http://pim.kde.org/akonadi>
     An extensible cross-desktop storage service for PIM data
     Required to build certain Plasma DataEngines (Akonadi, Calendar)
   * OpenGL ES  <http://www.khronos.org/opengles>
     Support for OpenGL ES2.0 graphics library
     View OpenGL ES2.0 details in kinfocenter.
   * RAW1394  <http://www.linux1394.org/>
     library for direct access to IEEE 1394 bus
     View FireWire devices in kinfocenter.

-----------------------------------------------------------------------------


-- <<< Gentoo configuration >>>
Build type      Gentoo
Install path    /usr
Compiler flags:
C               -O2 -pipe -fomit-frame-pointer -march=native  -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common
C++             -O2 -pipe -fomit-frame-pointer -march=native  -Wnon-virtual-dtor -Wno-long-long -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden
Linker flags:
Executable      -Wl,--enable-new-dtags  -Wl,-O1 -Wl,--as-needed
Module          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc  -Wl,-O1 -Wl,--as-needed
Shared          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc  -Wl,-O1 -Wl,--as-needed

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build
>>> Source configured.
>>> Compiling source in /var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build"


Then it's compile logs... ommitted.

At the end...

Code:
[ 92%] Building CXX object kinfocenter/Modules/opengl/CMakeFiles/kcm_opengl.dir/opengl.o
cd /var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build/kinfocenter/Modules/opengl && /usr/bin/x86_64-pc-linux-gnu-g++  -DMAKE_KCM_OPENGL_LIB -D_BSD_SOURCE -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DQT_NO_STL -DQT_NO_CAST_TO_ASCII -D_REENTRANT -DKDE_DEPRECATED_WARNINGS -DKDE4_CMAKE_TOPLEVEL_DIR_LENGTH=48 -DHAVE_CONFIG_H=1 -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -DDISABLE_NEPOMUK_LEGACY -DKDE_DEFAULT_DEBUG_AREA=1208  -DQT_NO_DEBUG -DNDEBUG -O2 -pipe -fomit-frame-pointer -march=native  -Wnon-virtual-dtor -Wno-long-long -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden -fPIC -I/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build/kinfocenter/Modules/opengl -I/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3/kinfocenter/Modules/opengl -I/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3 -I/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build -I/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3/libs -I/usr/include/KDE -I/usr/include/qt4/QtXmlPatterns -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtTest -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtScriptTools -I/usr/include/qt4/QtScript -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtDeclarative -I/usr/include/qt4/QtDBus -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4/Qt -I/usr/share/qt4/mkspecs/default -I/usr/include/qt4    -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -o CMakeFiles/kcm_opengl.dir/opengl.o -c /var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3/kinfocenter/Modules/opengl/opengl.cpp
make[2]: *** Keine Regel vorhanden, um das Target »/usr/lib64/libGLU.so«,
  benötigt von »lib/kcm_opengl.so«, zu erstellen.  Schluss.
make[2]: Leaving directory `/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build'
make[1]: *** [kinfocenter/Modules/opengl/CMakeFiles/kcm_opengl.dir/all] Fehler 2
make[1]: Leaving directory `/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build'
make: *** [all] Fehler 2
 * ERROR: kde-base/kinfocenter-4.9.3 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=kde-base/kinfocenter-4.9.3'`,
 * the complete build log and the output of `emerge -pqv '=kde-base/kinfocenter-4.9.3'`.
 * The complete build log is located at '/var/tmp/portage/kde-base/kinfocenter-4.9.3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/kinfocenter-4.9.3/temp/environment'.
 * Working directory: '/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3_build'
 * S: '/var/tmp/portage/kde-base/kinfocenter-4.9.3/work/kinfocenter-4.9.3'


emerge --info:
Code:
Portage 2.1.11.31 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.4, glibc-2.15-r3, 3.5.7-gentoo x86_64)
=================================================================
System uname: Linux-3.5.7-gentoo-x86_64-Intel-R-_Core-TM-_i7-3720QM_CPU_@_2.60GHz-with-gentoo-2.1
Timestamp of tree: Tue, 27 Nov 2012 19:00:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.5
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.4
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -fomit-frame-pointer -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -fomit-frame-pointer -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8@euro"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_GB en_US de de_DE eo"
MAKEOPTS="-j10"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac ace acl acpi alsa amd64 archive bash-completion bbswitch berkdb bluetooth bluray bmp boost branding bzip2 bzr cairo cdda cdr cli consolekit corefonts cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif fam fat ffmpeg fftw fingerprint firefox flac fontconfig fortran gdbm gif gphoto2 gpm gtk gzip hddtemp iconv ipv6 java jpeg kde kdm kipi lame lcms lha libnotify lm_sensors lzma lzo mad minizip mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nsplugin ntfs nvidia ogg opengl openmp opus oscar pam pango pcre pdf pdfimport phonon plasma png policykit ppds pppd python qt3support qt4 rar readline sdl session spell sse sse2 sse4 sse4_1 ssl ssse3 startup-notification svg tcpd theora threads tiff truetype udev udisks unicode upower usb v4l video videos vlc vorbis webm wifi wxwidgets x264 xcb xcomposite xfs xinerama xml xorg xscreensaver xv xvfb xvid zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB en_US de de_DE eo" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5652

PostPosted: Wed Nov 28, 2012 4:22 pm    Post subject: Reply with quote

Add the full linking command for lib/kcm_opengl.so and a list of files provided by media-libs/glu.
On unrelated note, regardless of whether it works or not, 'LANG=de_DE.UTF-8@euro' isn't quite right.
Back to top
View user's profile Send private message
Qcumber-some
n00b
n00b


Joined: 10 Jun 2007
Posts: 45

PostPosted: Wed Nov 28, 2012 7:19 pm    Post subject: Reply with quote

Oh thank you very much, this was the pointer into the right direction.

Problem was that the symlinks
Code:
/usr/lib64/libGLU.so -> libGLU.so.1.3.1
/usr/lib64/libGLU.so.1 -> libGLU.so.1.3.1
were dead links. Whatever happened to them. Reinstalled media-libs/glu again and again (I guess it was built once and rebuilt 3 times) removed the broken symlinks. Now they are pointing to
Code:
lrwxrwxrwx 1 root root     15 28. Nov 20:12 /usr/lib64/libGLU.so -> libGLU.so.1.3.1
lrwxrwxrwx 1 root root     15 28. Nov 20:12 /usr/lib64/libGLU.so.1 -> libGLU.so.1.3.1
-rwxr-xr-x 1 root root 522808 28. Nov 20:12 /usr/lib64/libGLU.so.1.3.1
and everything is great :-)

Problem solved.

On your unrelated note: I never had problems with this, but you are right, it is not supported. I'll correct this to de_DE.UTF-8. Thanks also for your attention on such things :-)
Back to top
View user's profile Send private message
remyavril
n00b
n00b


Joined: 05 Jan 2013
Posts: 1

PostPosted: Sat Jan 05, 2013 4:53 am    Post subject: Wonderful! Reply with quote

This helped me immensely. Thank you.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum